> For the complete documentation index, see [llms.txt](https://docs.wisej.com/api/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.wisej.com/api/wisej.web/extenders/animation/wisej.web.animation.properties.md).

# Animation.Properties

Namespace: **Wisej.Web**

Assembly: **Wisej.Framework** (4.0.0.0)

Defines the animation properties.

{% tabs %}
{% tab title="C#" %}

```csharp
public class Properties
```

{% endtab %}

{% tab title="VB.NET" %}

```visual-basic
Public Class Properties
```

{% endtab %}
{% endtabs %}

## Constructors

### ![](/files/hsR4ok3152WyAf8J2C1u) Properties()

Creates a new instance of the animation properties.

## Properties

### ![](/files/hsR4ok3152WyAf8J2C1u) Delay

[Int32](https://docs.microsoft.com/dotnet/api/system.int32): Returns or sets the delay before the animation starts in milliseconds. (Default: `0`)

### ![](/files/hsR4ok3152WyAf8J2C1u) Duration

[Int32](https://docs.microsoft.com/dotnet/api/system.int32): Returns or sets the duration of the animation in milliseconds. (Default: `0`)

0 = Default. The animation is executed within the duration defined in the animation definition.

### ![](/files/hsR4ok3152WyAf8J2C1u) Event

[String](https://docs.microsoft.com/dotnet/api/system.string): Returns or sets the animation trigger event. (Default: `""`)

### ![](/files/hsR4ok3152WyAf8J2C1u) Keep

[Int32](https://docs.microsoft.com/dotnet/api/system.int32): Returns or sets the frame to keep when the animation ends. (Default: `-1`)

-1 = Keeps the default frame as configured in the animation definition.

### ![](/files/hsR4ok3152WyAf8J2C1u) Name

[String](https://docs.microsoft.com/dotnet/api/system.string): Returns or sets the name of the selected animation. (Default: `""`)

### ![](/files/hsR4ok3152WyAf8J2C1u) Repeat

[Int32](https://docs.microsoft.com/dotnet/api/system.int32): Returns or sets the number of times to repeat the animation. (Default: `0`)

-1 = Infinite. 0 = Default; the animation is repeated the number of times defined in the animation definition.

### ![](/files/hsR4ok3152WyAf8J2C1u) Reverse

[Boolean](https://docs.microsoft.com/dotnet/api/system.boolean): Returns or sets whether the animation should be executed in reverse order. (Default: `False`)

### ![](/files/hsR4ok3152WyAf8J2C1u) Timing

[AnimationTiming](/api/wisej.web/extenders/animation/wisej.web.animationtiming.md): Returns or sets the speed curve of an animation. (Default: `Default`)

## Methods

### ![](/files/hsR4ok3152WyAf8J2C1u) Run()

Runs the animation on the connected component immediately.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.wisej.com/api/wisej.web/extenders/animation/wisej.web.animation.properties.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
